Bug 124274 - www/apache13: lang/php5 misses to add some directives to httpd.conf
Summary: www/apache13: lang/php5 misses to add some directives to httpd.conf
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Andrey A. Chernov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-04 16:50 UTC by Till Klampaeckel
Modified: 2008-07-19 16:40 UTC (History)
0 users

See Also:


Attachments
file.diff (880 bytes, patch)
2008-06-04 16:50 UTC, Till Klampaeckel
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Till Klampaeckel 2008-06-04 16:50:02 UTC
After the port is installed, httpd.conf has directives for mod_php3 and
mod_php4, but none for mod_php5 (which is the current version).

Not sure if this is actually added by lang/php5, but it wouldn't hurt if
it would add my suggestion (see diff below).

Fix: To illustrate what needs to be added, a simple diff:
How-To-Repeat: cd /usr/ports/lang/php5 && make && make install
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2008-06-04 20:05:45 UTC
Responsible Changed
From-To: freebsd-www->ale

Make this a ports PR and assign.  'www' is only for things affecting 
the FreeBSD website.
Comment 2 Alex Dupre freebsd_committer 2008-06-07 09:37:24 UTC
State Changed
From-To: open->closed

It's not a php issue. Newer apache releases already include it.
Comment 3 Alex Dupre freebsd_committer 2008-06-08 09:59:34 UTC
State Changed
From-To: closed->open

Assign to apache13 maintainer. 


Comment 4 Alex Dupre freebsd_committer 2008-06-08 09:59:34 UTC
Responsible Changed
From-To: ale->ache

Assign to apache13 maintainer.
Comment 5 dfilter service freebsd_committer 2008-07-19 16:32:37 UTC
ache        2008-07-19 15:32:23 UTC

  FreeBSD ports repository

  Modified files:
    www/apache13/files   patch-ag 
  Log:
  Add default php5 instructions to make easy php5+apache config
  
  PR:     124274
  Submitted by: Till Klampaeckel <till@php.net> (partially)
  
  Revision  Changes    Path
  1.14      +20 -16    ports/www/apache13/files/patch-ag
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Andrey A. Chernov freebsd_committer 2008-07-19 16:32:48 UTC
State Changed
From-To: open->closed

Committed